#
# spec file for package perl-Mo
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mo
Version:        0.40
Release:        bp154.1.19
%define cpan_name Mo
Summary:        Micro Objects. Mo is less
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mo/
Source0:        http://www.cpan.org/authors/id/T/TI/TINITA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
Recommends:     perl(Class::XSAccessor)
Recommends:     perl(IO::All)
Recommends:     perl(Moose)
Recommends:     perl(Mouse)
%{perl_requires}

%description
Micro Objects. Mo is less.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Fri Jul  8 2016 coolo@suse.com
- updated to 0.40
  see /usr/share/doc/packages/perl-Mo/Changes
  0.40 2016-07-06 23:21:21 +0200
  - Apply PR/30 and PR/31. @nfg++. @veryrusty++.
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.39
  see /usr/share/doc/packages/perl-Mo/Changes
  0.39 2014-09-03 23:31:55 -0600
  - Apply PR/25. @daoswald++
* Tue Oct 29 2013 kkaempf@suse.com
- 0.38 2013-10-28 15:37:28 +0800
  - Fixed Changes file to comply to CPAN::Changes::Spec
- 0.37 2013-10-25 21:46:59 +0800
  - Bugfix: Run Test::Compile tests as xt as they require optional
    dependencies to be present (GH issue #22)
  - Testing: Added Travis-CI integration
  - Makefile: Added target to update version on all packages
- 0.36 2013-10-20 04:44:42 +0800
  - Move the distribution to Dist::Zilla
- 0.35 2013-05-27 14:23:42 -0700
  - Forgot to merge doc changes from CarlosLima++
- 0.34 2013-05-26 14:55:06 -0700
  - CarlosLima++ added nonlazy support to set defaults during
    construction.
- 0.33 2013-02-28 03:31:47 +0800
  - Adds terser syntax to Mo::default
  - Assumes default when given odd number of arguments to has
  - Improved automated golfing
- 0.32 2013-02-26 01:47:41 +0800
  - Required attributes accepts 0/undef
* Fri Apr 20 2012 pascal.bleser@opensuse.org
- initial version (0.31)
